Create Lead Event: RealPage Partner Exchange
https://api.propexo.com/v1/events/leads/realpage_rpx/| Method | Interface |
|---|---|
| InsertActivity | Prospect Management |
Due to PMS limitations, the ID of the created record cannot be retrieved. This will be found on the next data sync.
Authentication
- AuthorizationBearerBearer authentication of the form
Bearer <token>, where token is your auth token.
Request
This endpoint expects an object.
The Propexo unique identifier for the integration
The Propexo unique identifier for the lead
The Propexo unique identifier for the employee
The Propexo unique identifier for the event type
The Propexo unique identifier for the unit
The date when the event will occur
The status associated with the event
Show 5 enum values
LEASEDLOSTUNQUALIFIEDACTIVEFUTURENotes associated with the event
Call Recording URL of the appointment
Response
Successful response
meta objectrequired
result objectrequired
The Propexo unique identifier for the integration
The Propexo unique identifier for the lead
The Propexo unique identifier for the employee
The Propexo unique identifier for the event type
The Propexo unique identifier for the unit
The date when the event will occur
The status associated with the event
Show 5 enum values
LEASEDLOSTUNQUALIFIEDACTIVEFUTURENotes associated with the event
Call Recording URL of the appointment
Errors
400Bad Request
error objectrequired
codestringrequiredExample:invalid_requestmessagestringrequiredExample:invalid requestdetails object
property name*anyExample:{"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
curl -X POST https://api.propexo.com/v1/events/leads/realpage_rpx/ \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{
"integration_id": "string",
"lead_id": "string",
"employee_id": "string",
"event_type_id": "string",
"event_datetime": "2024-07-29T15:51:28.071Z"
}'
{
"meta": {
"job_id": "string"
},
"result": {
"integration_id": "string",
"lead_id": "string",
"employee_id": "string",
"event_type_id": "string",
"unit_id": "string",
"event_datetime": "2024-07-29T15:51:28.071Z",
"status": "LEASED",
"notes": "string",
"call_recording_url": "string"
}
}